Index: src/Actions/SelectionAction/Shapes/AllShapesAction.cpp
===================================================================
--- src/Actions/SelectionAction/Shapes/AllShapesAction.cpp	(revision 2c004d1f6531a9331f798a31d3e7c652d4079a37)
+++ src/Actions/SelectionAction/Shapes/AllShapesAction.cpp	(revision d649b7b2e188ba0fcc502541e95e742d7f2182da)
@@ -49,13 +49,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionAllShapesAction::performCall() {
+ActionState::ptr SelectionAllShapesAction::performCall() {
   std::vector<Shape *> selectedShapes= ShapeRegistry::getInstance().getSelectedShapes();
   LOG(1, "Selecting all shapes.");
   ShapeRegistry::getInstance().selectAllShapes();
   LOG(0, ShapeRegistry::getInstance().countSelectedShapes() << " shapes selected.");
-  return Action::state_ptr(new SelectionAllShapesState(selectedShapes,params));
+  return ActionState::ptr(new SelectionAllShapesState(selectedShapes,params));
 }
 
-Action::state_ptr SelectionAllShapesAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionAllShapesAction::performUndo(ActionState::ptr _state) {
   SelectionAllShapesState *state = assert_cast<SelectionAllShapesState*>(_state.get());
 
@@ -65,13 +65,13 @@
   ShapeRegistry::getInstance().selectShape(shape);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionAllShapesAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionAllShapesAction::performRedo(ActionState::ptr _state){
   //SelectionAllShapesState *state = assert_cast<SelectionAllShapesState*>(_state.get());
 
   ShapeRegistry::getInstance().selectAllShapes();
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Shapes/NotAllShapesAction.cpp
===================================================================
--- src/Actions/SelectionAction/Shapes/NotAllShapesAction.cpp	(revision 2c004d1f6531a9331f798a31d3e7c652d4079a37)
+++ src/Actions/SelectionAction/Shapes/NotAllShapesAction.cpp	(revision d649b7b2e188ba0fcc502541e95e742d7f2182da)
@@ -49,13 +49,13 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotAllShapesAction::performCall() {
+ActionState::ptr SelectionNotAllShapesAction::performCall() {
   std::vector<Shape *> selectedShapes= ShapeRegistry::getInstance().getSelectedShapes();
   LOG(1, "Unselecting all shapes.");
   ShapeRegistry::getInstance().unselectAllShapes();
   LOG(0, ShapeRegistry::getInstance().countSelectedShapes() << " shapes remain selected.");
-  return Action::state_ptr(new SelectionNotAllShapesState(selectedShapes,params));
+  return ActionState::ptr(new SelectionNotAllShapesState(selectedShapes,params));
 }
 
-Action::state_ptr SelectionNotAllShapesAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotAllShapesAction::performUndo(ActionState::ptr _state) {
   SelectionNotAllShapesState *state = assert_cast<SelectionNotAllShapesState*>(_state.get());
 
@@ -65,13 +65,13 @@
   ShapeRegistry::getInstance().selectShape(shape);
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotAllShapesAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotAllShapesAction::performRedo(ActionState::ptr _state){
   //SelectionNotAllShapesState *state = assert_cast<SelectionNotAllShapesState*>(_state.get());
 
   ShapeRegistry::getInstance().unselectAllShapes();
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp
===================================================================
--- src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp	(revision 2c004d1f6531a9331f798a31d3e7c652d4079a37)
+++ src/Actions/SelectionAction/Shapes/NotShapeByNameAction.cpp	(revision d649b7b2e188ba0fcc502541e95e742d7f2182da)
@@ -50,5 +50,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionNotShapeByNameAction::performCall() {
+ActionState::ptr SelectionNotShapeByNameAction::performCall() {
   const Shape *Walker = ShapeRegistry::getInstance().getByName(params.shapeName.get());
   if (Walker != NULL) {
@@ -57,5 +57,5 @@
       ShapeRegistry::getInstance().unselectShape(params.shapeName.get());
       LOG(0, ShapeRegistry::getInstance().countSelectedShapes() << " shapes remain selected.");
-      return Action::state_ptr(new SelectionNotShapeByNameState(params));
+      return ActionState::ptr(new SelectionNotShapeByNameState(params));
     } else {
       return Action::success;
@@ -66,18 +66,18 @@
 }
 
-Action::state_ptr SelectionNotShapeByNameAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionNotShapeByNameAction::performUndo(ActionState::ptr _state) {
   SelectionNotShapeByNameState *state = assert_cast<SelectionNotShapeByNameState*>(_state.get());
 
   ShapeRegistry::getInstance().selectShape(state->params.shapeName.get());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionNotShapeByNameAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionNotShapeByNameAction::performRedo(ActionState::ptr _state){
   SelectionNotShapeByNameState *state = assert_cast<SelectionNotShapeByNameState*>(_state.get());
 
   ShapeRegistry::getInstance().unselectShape(state->params.shapeName.get());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
Index: src/Actions/SelectionAction/Shapes/ShapeByNameAction.cpp
===================================================================
--- src/Actions/SelectionAction/Shapes/ShapeByNameAction.cpp	(revision 2c004d1f6531a9331f798a31d3e7c652d4079a37)
+++ src/Actions/SelectionAction/Shapes/ShapeByNameAction.cpp	(revision d649b7b2e188ba0fcc502541e95e742d7f2182da)
@@ -50,5 +50,5 @@
 #include "Action_impl_pre.hpp"
 /** =========== define the function ====================== */
-Action::state_ptr SelectionShapeByNameAction::performCall() {
+ActionState::ptr SelectionShapeByNameAction::performCall() {
   const Shape *Walker = ShapeRegistry::getInstance().getByName(params.shapeName.get());
   if (Walker != NULL) {
@@ -57,5 +57,5 @@
       ShapeRegistry::getInstance().selectShape(params.shapeName.get());
       LOG(0, ShapeRegistry::getInstance().countSelectedShapes() << " shapes selected.");
-      return Action::state_ptr(new SelectionShapeByNameState(params));
+      return ActionState::ptr(new SelectionShapeByNameState(params));
     } else {
       return Action::success;
@@ -66,18 +66,18 @@
 }
 
-Action::state_ptr SelectionShapeByNameAction::performUndo(Action::state_ptr _state) {
+ActionState::ptr SelectionShapeByNameAction::performUndo(ActionState::ptr _state) {
   SelectionShapeByNameState *state = assert_cast<SelectionShapeByNameState*>(_state.get());
 
   ShapeRegistry::getInstance().unselectShape(state->params.shapeName.get());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
-Action::state_ptr SelectionShapeByNameAction::performRedo(Action::state_ptr _state){
+ActionState::ptr SelectionShapeByNameAction::performRedo(ActionState::ptr _state){
   SelectionShapeByNameState *state = assert_cast<SelectionShapeByNameState*>(_state.get());
 
   ShapeRegistry::getInstance().selectShape(state->params.shapeName.get());
 
-  return Action::state_ptr(_state);
+  return ActionState::ptr(_state);
 }
 
